QGIS Application - Bug report #11352

[composer] Page orientation ignored when printing

2014-10-08 01:48 AM - Nyall Dawson

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Map Composer/Printing

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 19643

Description

Steps to reproduce:
1. change page orientation to portrait
2.try and print. page size is landscape.

Associated revisions

Revision 8ab0674f - 2014-10-20 09:46 PM - Nyall Dawson
[composer] Fix page orientation and size ignored when printing

Turns out QPrinter::setPaperSize silently flips the width and height

of a page if the printer orientation is set to landscape. So, make sure
we manually set the orientation to portrait before setting the page size
so that we can be sure the QPrinter is set to the correct page size.
This also restores the 2.4 behaviour where users could override
printed page size in the printer properties dialog (but only if

no data defined page size settings are active).

(fix #11352)

History

#1 - 2014-10-20 12:55 AM - Andreas Neumann

Do you mean that the printer does not pick up the correct rotation from the QGIS page composition?

As far as | can tell it was always like this. People had to manually adjust page orientation in the printer dialogue.

It would be nice to have a fix for this, but maybe it depends a lot on the OS?

#2 - 2014-10-20 01:01 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"8ab0674f44427e70ee374a659fa9cddbe65c0760".
